import java.applet.*;
import java.awt.*;
import java.net.*;
import java.io.*;
import sun.awt.image.URLImageSource;

public class EX17C extends Applet
{
    Image img;
    String error = "";

    public void init()
    {
        resize(200, 100);
    }

    public void paint(Graphics g)
    {
        if (error.length() > 0)
            g.drawString(error, 10, 10);
        else
            g.drawImage(img, 10, 10, getBackground(), this);
    }

    public void start()
    {
        try
        {
            URL url = new URL("http://www.jory.com/gifs/someimage.gif");
            URLImageSource imgsrc = (URLImageSource)url.getContent();
            img = Toolkit.getDefaultToolkit().createImage(imgsrc);
        }
        catch (MalformedURLException me)
            error = me.toString();
        catch (IOException e)
            error = e.toString();
    }
}
